Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
86.0.0.0
Broadcast address
86.127.255.255
First usable
86.0.0.1
Last usable
86.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 56000000 · Integer 1442840576 to 1451229183
Reverse DNS zones
0.86.in-addr.arpa
1.86.in-addr.arpa
2.86.in-addr.arpa
3.86.in-addr.arpa
4.86.in-addr.arpa
5.86.in-addr.arpa
6.86.in-addr.arpa
7.86.in-addr.arpa
8.86.in-addr.arpa
9.86.in-addr.arpa
10.86.in-addr.arpa
11.86.in-addr.arpa
12.86.in-addr.arpa
13.86.in-addr.arpa
14.86.in-addr.arpa
15.86.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.00000000.00000000.0000000086.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010110.00000000.00000000.0000000086.0.0.0
Broadcast01010110.01111111.11111111.1111111186.127.255.255
Split into smaller subnets/19

86.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.0.0.0/1986.0.0.1 to 86.0.31.25486.0.31.2558,190
286.0.32.0/1986.0.32.1 to 86.0.63.25486.0.63.2558,190
386.0.64.0/1986.0.64.1 to 86.0.95.25486.0.95.2558,190
486.0.96.0/1986.0.96.1 to 86.0.127.25486.0.127.2558,190
586.0.128.0/1986.0.128.1 to 86.0.159.25486.0.159.2558,190
686.0.160.0/1986.0.160.1 to 86.0.191.25486.0.191.2558,190
786.0.192.0/1986.0.192.1 to 86.0.223.25486.0.223.2558,190
886.0.224.0/1986.0.224.1 to 86.0.255.25486.0.255.2558,190
986.1.0.0/1986.1.0.1 to 86.1.31.25486.1.31.2558,190
1086.1.32.0/1986.1.32.1 to 86.1.63.25486.1.63.2558,190
1186.1.64.0/1986.1.64.1 to 86.1.95.25486.1.95.2558,190
1286.1.96.0/1986.1.96.1 to 86.1.127.25486.1.127.2558,190
1386.1.128.0/1986.1.128.1 to 86.1.159.25486.1.159.2558,190
1486.1.160.0/1986.1.160.1 to 86.1.191.25486.1.191.2558,190
1586.1.192.0/1986.1.192.1 to 86.1.223.25486.1.223.2558,190
1686.1.224.0/1986.1.224.1 to 86.1.255.25486.1.255.2558,190
1786.2.0.0/1986.2.0.1 to 86.2.31.25486.2.31.2558,190
1886.2.32.0/1986.2.32.1 to 86.2.63.25486.2.63.2558,190
1986.2.64.0/1986.2.64.1 to 86.2.95.25486.2.95.2558,190
2086.2.96.0/1986.2.96.1 to 86.2.127.25486.2.127.2558,190
2186.2.128.0/1986.2.128.1 to 86.2.159.25486.2.159.2558,190
2286.2.160.0/1986.2.160.1 to 86.2.191.25486.2.191.2558,190
2386.2.192.0/1986.2.192.1 to 86.2.223.25486.2.223.2558,190
2486.2.224.0/1986.2.224.1 to 86.2.255.25486.2.255.2558,190
2586.3.0.0/1986.3.0.1 to 86.3.31.25486.3.31.2558,190
2686.3.32.0/1986.3.32.1 to 86.3.63.25486.3.63.2558,190
2786.3.64.0/1986.3.64.1 to 86.3.95.25486.3.95.2558,190
2886.3.96.0/1986.3.96.1 to 86.3.127.25486.3.127.2558,190
2986.3.128.0/1986.3.128.1 to 86.3.159.25486.3.159.2558,190
3086.3.160.0/1986.3.160.1 to 86.3.191.25486.3.191.2558,190
3186.3.192.0/1986.3.192.1 to 86.3.223.25486.3.223.2558,190
3286.3.224.0/1986.3.224.1 to 86.3.255.25486.3.255.2558,190
3386.4.0.0/1986.4.0.1 to 86.4.31.25486.4.31.2558,190
3486.4.32.0/1986.4.32.1 to 86.4.63.25486.4.63.2558,190
3586.4.64.0/1986.4.64.1 to 86.4.95.25486.4.95.2558,190
3686.4.96.0/1986.4.96.1 to 86.4.127.25486.4.127.2558,190
3786.4.128.0/1986.4.128.1 to 86.4.159.25486.4.159.2558,190
3886.4.160.0/1986.4.160.1 to 86.4.191.25486.4.191.2558,190
3986.4.192.0/1986.4.192.1 to 86.4.223.25486.4.223.2558,190
4086.4.224.0/1986.4.224.1 to 86.4.255.25486.4.255.2558,190
4186.5.0.0/1986.5.0.1 to 86.5.31.25486.5.31.2558,190
4286.5.32.0/1986.5.32.1 to 86.5.63.25486.5.63.2558,190
4386.5.64.0/1986.5.64.1 to 86.5.95.25486.5.95.2558,190
4486.5.96.0/1986.5.96.1 to 86.5.127.25486.5.127.2558,190
4586.5.128.0/1986.5.128.1 to 86.5.159.25486.5.159.2558,190
4686.5.160.0/1986.5.160.1 to 86.5.191.25486.5.191.2558,190
4786.5.192.0/1986.5.192.1 to 86.5.223.25486.5.223.2558,190
4886.5.224.0/1986.5.224.1 to 86.5.255.25486.5.255.2558,190
4986.6.0.0/1986.6.0.1 to 86.6.31.25486.6.31.2558,190
5086.6.32.0/1986.6.32.1 to 86.6.63.25486.6.63.2558,190
5186.6.64.0/1986.6.64.1 to 86.6.95.25486.6.95.2558,190
5286.6.96.0/1986.6.96.1 to 86.6.127.25486.6.127.2558,190
5386.6.128.0/1986.6.128.1 to 86.6.159.25486.6.159.2558,190
5486.6.160.0/1986.6.160.1 to 86.6.191.25486.6.191.2558,190
5586.6.192.0/1986.6.192.1 to 86.6.223.25486.6.223.2558,190
5686.6.224.0/1986.6.224.1 to 86.6.255.25486.6.255.2558,190
5786.7.0.0/1986.7.0.1 to 86.7.31.25486.7.31.2558,190
5886.7.32.0/1986.7.32.1 to 86.7.63.25486.7.63.2558,190
5986.7.64.0/1986.7.64.1 to 86.7.95.25486.7.95.2558,190
6086.7.96.0/1986.7.96.1 to 86.7.127.25486.7.127.2558,190
6186.7.128.0/1986.7.128.1 to 86.7.159.25486.7.159.2558,190
6286.7.160.0/1986.7.160.1 to 86.7.191.25486.7.191.2558,190
6386.7.192.0/1986.7.192.1 to 86.7.223.25486.7.223.2558,190
6486.7.224.0/1986.7.224.1 to 86.7.255.25486.7.255.2558,190
6586.8.0.0/1986.8.0.1 to 86.8.31.25486.8.31.2558,190
6686.8.32.0/1986.8.32.1 to 86.8.63.25486.8.63.2558,190
6786.8.64.0/1986.8.64.1 to 86.8.95.25486.8.95.2558,190
6886.8.96.0/1986.8.96.1 to 86.8.127.25486.8.127.2558,190
6986.8.128.0/1986.8.128.1 to 86.8.159.25486.8.159.2558,190
7086.8.160.0/1986.8.160.1 to 86.8.191.25486.8.191.2558,190
7186.8.192.0/1986.8.192.1 to 86.8.223.25486.8.223.2558,190
7286.8.224.0/1986.8.224.1 to 86.8.255.25486.8.255.2558,190
7386.9.0.0/1986.9.0.1 to 86.9.31.25486.9.31.2558,190
7486.9.32.0/1986.9.32.1 to 86.9.63.25486.9.63.2558,190
7586.9.64.0/1986.9.64.1 to 86.9.95.25486.9.95.2558,190
7686.9.96.0/1986.9.96.1 to 86.9.127.25486.9.127.2558,190
7786.9.128.0/1986.9.128.1 to 86.9.159.25486.9.159.2558,190
7886.9.160.0/1986.9.160.1 to 86.9.191.25486.9.191.2558,190
7986.9.192.0/1986.9.192.1 to 86.9.223.25486.9.223.2558,190
8086.9.224.0/1986.9.224.1 to 86.9.255.25486.9.255.2558,190
8186.10.0.0/1986.10.0.1 to 86.10.31.25486.10.31.2558,190
8286.10.32.0/1986.10.32.1 to 86.10.63.25486.10.63.2558,190
8386.10.64.0/1986.10.64.1 to 86.10.95.25486.10.95.2558,190
8486.10.96.0/1986.10.96.1 to 86.10.127.25486.10.127.2558,190
8586.10.128.0/1986.10.128.1 to 86.10.159.25486.10.159.2558,190
8686.10.160.0/1986.10.160.1 to 86.10.191.25486.10.191.2558,190
8786.10.192.0/1986.10.192.1 to 86.10.223.25486.10.223.2558,190
8886.10.224.0/1986.10.224.1 to 86.10.255.25486.10.255.2558,190
8986.11.0.0/1986.11.0.1 to 86.11.31.25486.11.31.2558,190
9086.11.32.0/1986.11.32.1 to 86.11.63.25486.11.63.2558,190
9186.11.64.0/1986.11.64.1 to 86.11.95.25486.11.95.2558,190
9286.11.96.0/1986.11.96.1 to 86.11.127.25486.11.127.2558,190
9386.11.128.0/1986.11.128.1 to 86.11.159.25486.11.159.2558,190
9486.11.160.0/1986.11.160.1 to 86.11.191.25486.11.191.2558,190
9586.11.192.0/1986.11.192.1 to 86.11.223.25486.11.223.2558,190
9686.11.224.0/1986.11.224.1 to 86.11.255.25486.11.255.2558,190
9786.12.0.0/1986.12.0.1 to 86.12.31.25486.12.31.2558,190
9886.12.32.0/1986.12.32.1 to 86.12.63.25486.12.63.2558,190
9986.12.64.0/1986.12.64.1 to 86.12.95.25486.12.95.2558,190
10086.12.96.0/1986.12.96.1 to 86.12.127.25486.12.127.2558,190
10186.12.128.0/1986.12.128.1 to 86.12.159.25486.12.159.2558,190
10286.12.160.0/1986.12.160.1 to 86.12.191.25486.12.191.2558,190
10386.12.192.0/1986.12.192.1 to 86.12.223.25486.12.223.2558,190
10486.12.224.0/1986.12.224.1 to 86.12.255.25486.12.255.2558,190
10586.13.0.0/1986.13.0.1 to 86.13.31.25486.13.31.2558,190
10686.13.32.0/1986.13.32.1 to 86.13.63.25486.13.63.2558,190
10786.13.64.0/1986.13.64.1 to 86.13.95.25486.13.95.2558,190
10886.13.96.0/1986.13.96.1 to 86.13.127.25486.13.127.2558,190
10986.13.128.0/1986.13.128.1 to 86.13.159.25486.13.159.2558,190
11086.13.160.0/1986.13.160.1 to 86.13.191.25486.13.191.2558,190
11186.13.192.0/1986.13.192.1 to 86.13.223.25486.13.223.2558,190
11286.13.224.0/1986.13.224.1 to 86.13.255.25486.13.255.2558,190
11386.14.0.0/1986.14.0.1 to 86.14.31.25486.14.31.2558,190
11486.14.32.0/1986.14.32.1 to 86.14.63.25486.14.63.2558,190
11586.14.64.0/1986.14.64.1 to 86.14.95.25486.14.95.2558,190
11686.14.96.0/1986.14.96.1 to 86.14.127.25486.14.127.2558,190
11786.14.128.0/1986.14.128.1 to 86.14.159.25486.14.159.2558,190
11886.14.160.0/1986.14.160.1 to 86.14.191.25486.14.191.2558,190
11986.14.192.0/1986.14.192.1 to 86.14.223.25486.14.223.2558,190
12086.14.224.0/1986.14.224.1 to 86.14.255.25486.14.255.2558,190
12186.15.0.0/1986.15.0.1 to 86.15.31.25486.15.31.2558,190
12286.15.32.0/1986.15.32.1 to 86.15.63.25486.15.63.2558,190
12386.15.64.0/1986.15.64.1 to 86.15.95.25486.15.95.2558,190
12486.15.96.0/1986.15.96.1 to 86.15.127.25486.15.127.2558,190
12586.15.128.0/1986.15.128.1 to 86.15.159.25486.15.159.2558,190
12686.15.160.0/1986.15.160.1 to 86.15.191.25486.15.191.2558,190
12786.15.192.0/1986.15.192.1 to 86.15.223.25486.15.223.2558,190
12886.15.224.0/1986.15.224.1 to 86.15.255.25486.15.255.2558,190
12986.16.0.0/1986.16.0.1 to 86.16.31.25486.16.31.2558,190
13086.16.32.0/1986.16.32.1 to 86.16.63.25486.16.63.2558,190
13186.16.64.0/1986.16.64.1 to 86.16.95.25486.16.95.2558,190
13286.16.96.0/1986.16.96.1 to 86.16.127.25486.16.127.2558,190
13386.16.128.0/1986.16.128.1 to 86.16.159.25486.16.159.2558,190
13486.16.160.0/1986.16.160.1 to 86.16.191.25486.16.191.2558,190
13586.16.192.0/1986.16.192.1 to 86.16.223.25486.16.223.2558,190
13686.16.224.0/1986.16.224.1 to 86.16.255.25486.16.255.2558,190
13786.17.0.0/1986.17.0.1 to 86.17.31.25486.17.31.2558,190
13886.17.32.0/1986.17.32.1 to 86.17.63.25486.17.63.2558,190
13986.17.64.0/1986.17.64.1 to 86.17.95.25486.17.95.2558,190
14086.17.96.0/1986.17.96.1 to 86.17.127.25486.17.127.2558,190
14186.17.128.0/1986.17.128.1 to 86.17.159.25486.17.159.2558,190
14286.17.160.0/1986.17.160.1 to 86.17.191.25486.17.191.2558,190
14386.17.192.0/1986.17.192.1 to 86.17.223.25486.17.223.2558,190
14486.17.224.0/1986.17.224.1 to 86.17.255.25486.17.255.2558,190
14586.18.0.0/1986.18.0.1 to 86.18.31.25486.18.31.2558,190
14686.18.32.0/1986.18.32.1 to 86.18.63.25486.18.63.2558,190
14786.18.64.0/1986.18.64.1 to 86.18.95.25486.18.95.2558,190
14886.18.96.0/1986.18.96.1 to 86.18.127.25486.18.127.2558,190
14986.18.128.0/1986.18.128.1 to 86.18.159.25486.18.159.2558,190
15086.18.160.0/1986.18.160.1 to 86.18.191.25486.18.191.2558,190
15186.18.192.0/1986.18.192.1 to 86.18.223.25486.18.223.2558,190
15286.18.224.0/1986.18.224.1 to 86.18.255.25486.18.255.2558,190
15386.19.0.0/1986.19.0.1 to 86.19.31.25486.19.31.2558,190
15486.19.32.0/1986.19.32.1 to 86.19.63.25486.19.63.2558,190
15586.19.64.0/1986.19.64.1 to 86.19.95.25486.19.95.2558,190
15686.19.96.0/1986.19.96.1 to 86.19.127.25486.19.127.2558,190
15786.19.128.0/1986.19.128.1 to 86.19.159.25486.19.159.2558,190
15886.19.160.0/1986.19.160.1 to 86.19.191.25486.19.191.2558,190
15986.19.192.0/1986.19.192.1 to 86.19.223.25486.19.223.2558,190
16086.19.224.0/1986.19.224.1 to 86.19.255.25486.19.255.2558,190
16186.20.0.0/1986.20.0.1 to 86.20.31.25486.20.31.2558,190
16286.20.32.0/1986.20.32.1 to 86.20.63.25486.20.63.2558,190
16386.20.64.0/1986.20.64.1 to 86.20.95.25486.20.95.2558,190
16486.20.96.0/1986.20.96.1 to 86.20.127.25486.20.127.2558,190
16586.20.128.0/1986.20.128.1 to 86.20.159.25486.20.159.2558,190
16686.20.160.0/1986.20.160.1 to 86.20.191.25486.20.191.2558,190
16786.20.192.0/1986.20.192.1 to 86.20.223.25486.20.223.2558,190
16886.20.224.0/1986.20.224.1 to 86.20.255.25486.20.255.2558,190
16986.21.0.0/1986.21.0.1 to 86.21.31.25486.21.31.2558,190
17086.21.32.0/1986.21.32.1 to 86.21.63.25486.21.63.2558,190
17186.21.64.0/1986.21.64.1 to 86.21.95.25486.21.95.2558,190
17286.21.96.0/1986.21.96.1 to 86.21.127.25486.21.127.2558,190
17386.21.128.0/1986.21.128.1 to 86.21.159.25486.21.159.2558,190
17486.21.160.0/1986.21.160.1 to 86.21.191.25486.21.191.2558,190
17586.21.192.0/1986.21.192.1 to 86.21.223.25486.21.223.2558,190
17686.21.224.0/1986.21.224.1 to 86.21.255.25486.21.255.2558,190
17786.22.0.0/1986.22.0.1 to 86.22.31.25486.22.31.2558,190
17886.22.32.0/1986.22.32.1 to 86.22.63.25486.22.63.2558,190
17986.22.64.0/1986.22.64.1 to 86.22.95.25486.22.95.2558,190
18086.22.96.0/1986.22.96.1 to 86.22.127.25486.22.127.2558,190
18186.22.128.0/1986.22.128.1 to 86.22.159.25486.22.159.2558,190
18286.22.160.0/1986.22.160.1 to 86.22.191.25486.22.191.2558,190
18386.22.192.0/1986.22.192.1 to 86.22.223.25486.22.223.2558,190
18486.22.224.0/1986.22.224.1 to 86.22.255.25486.22.255.2558,190
18586.23.0.0/1986.23.0.1 to 86.23.31.25486.23.31.2558,190
18686.23.32.0/1986.23.32.1 to 86.23.63.25486.23.63.2558,190
18786.23.64.0/1986.23.64.1 to 86.23.95.25486.23.95.2558,190
18886.23.96.0/1986.23.96.1 to 86.23.127.25486.23.127.2558,190
18986.23.128.0/1986.23.128.1 to 86.23.159.25486.23.159.2558,190
19086.23.160.0/1986.23.160.1 to 86.23.191.25486.23.191.2558,190
19186.23.192.0/1986.23.192.1 to 86.23.223.25486.23.223.2558,190
19286.23.224.0/1986.23.224.1 to 86.23.255.25486.23.255.2558,190
19386.24.0.0/1986.24.0.1 to 86.24.31.25486.24.31.2558,190
19486.24.32.0/1986.24.32.1 to 86.24.63.25486.24.63.2558,190
19586.24.64.0/1986.24.64.1 to 86.24.95.25486.24.95.2558,190
19686.24.96.0/1986.24.96.1 to 86.24.127.25486.24.127.2558,190
19786.24.128.0/1986.24.128.1 to 86.24.159.25486.24.159.2558,190
19886.24.160.0/1986.24.160.1 to 86.24.191.25486.24.191.2558,190
19986.24.192.0/1986.24.192.1 to 86.24.223.25486.24.223.2558,190
20086.24.224.0/1986.24.224.1 to 86.24.255.25486.24.255.2558,190
20186.25.0.0/1986.25.0.1 to 86.25.31.25486.25.31.2558,190
20286.25.32.0/1986.25.32.1 to 86.25.63.25486.25.63.2558,190
20386.25.64.0/1986.25.64.1 to 86.25.95.25486.25.95.2558,190
20486.25.96.0/1986.25.96.1 to 86.25.127.25486.25.127.2558,190
20586.25.128.0/1986.25.128.1 to 86.25.159.25486.25.159.2558,190
20686.25.160.0/1986.25.160.1 to 86.25.191.25486.25.191.2558,190
20786.25.192.0/1986.25.192.1 to 86.25.223.25486.25.223.2558,190
20886.25.224.0/1986.25.224.1 to 86.25.255.25486.25.255.2558,190
20986.26.0.0/1986.26.0.1 to 86.26.31.25486.26.31.2558,190
21086.26.32.0/1986.26.32.1 to 86.26.63.25486.26.63.2558,190
21186.26.64.0/1986.26.64.1 to 86.26.95.25486.26.95.2558,190
21286.26.96.0/1986.26.96.1 to 86.26.127.25486.26.127.2558,190
21386.26.128.0/1986.26.128.1 to 86.26.159.25486.26.159.2558,190
21486.26.160.0/1986.26.160.1 to 86.26.191.25486.26.191.2558,190
21586.26.192.0/1986.26.192.1 to 86.26.223.25486.26.223.2558,190
21686.26.224.0/1986.26.224.1 to 86.26.255.25486.26.255.2558,190
21786.27.0.0/1986.27.0.1 to 86.27.31.25486.27.31.2558,190
21886.27.32.0/1986.27.32.1 to 86.27.63.25486.27.63.2558,190
21986.27.64.0/1986.27.64.1 to 86.27.95.25486.27.95.2558,190
22086.27.96.0/1986.27.96.1 to 86.27.127.25486.27.127.2558,190
22186.27.128.0/1986.27.128.1 to 86.27.159.25486.27.159.2558,190
22286.27.160.0/1986.27.160.1 to 86.27.191.25486.27.191.2558,190
22386.27.192.0/1986.27.192.1 to 86.27.223.25486.27.223.2558,190
22486.27.224.0/1986.27.224.1 to 86.27.255.25486.27.255.2558,190
22586.28.0.0/1986.28.0.1 to 86.28.31.25486.28.31.2558,190
22686.28.32.0/1986.28.32.1 to 86.28.63.25486.28.63.2558,190
22786.28.64.0/1986.28.64.1 to 86.28.95.25486.28.95.2558,190
22886.28.96.0/1986.28.96.1 to 86.28.127.25486.28.127.2558,190
22986.28.128.0/1986.28.128.1 to 86.28.159.25486.28.159.2558,190
23086.28.160.0/1986.28.160.1 to 86.28.191.25486.28.191.2558,190
23186.28.192.0/1986.28.192.1 to 86.28.223.25486.28.223.2558,190
23286.28.224.0/1986.28.224.1 to 86.28.255.25486.28.255.2558,190
23386.29.0.0/1986.29.0.1 to 86.29.31.25486.29.31.2558,190
23486.29.32.0/1986.29.32.1 to 86.29.63.25486.29.63.2558,190
23586.29.64.0/1986.29.64.1 to 86.29.95.25486.29.95.2558,190
23686.29.96.0/1986.29.96.1 to 86.29.127.25486.29.127.2558,190
23786.29.128.0/1986.29.128.1 to 86.29.159.25486.29.159.2558,190
23886.29.160.0/1986.29.160.1 to 86.29.191.25486.29.191.2558,190
23986.29.192.0/1986.29.192.1 to 86.29.223.25486.29.223.2558,190
24086.29.224.0/1986.29.224.1 to 86.29.255.25486.29.255.2558,190
24186.30.0.0/1986.30.0.1 to 86.30.31.25486.30.31.2558,190
24286.30.32.0/1986.30.32.1 to 86.30.63.25486.30.63.2558,190
24386.30.64.0/1986.30.64.1 to 86.30.95.25486.30.95.2558,190
24486.30.96.0/1986.30.96.1 to 86.30.127.25486.30.127.2558,190
24586.30.128.0/1986.30.128.1 to 86.30.159.25486.30.159.2558,190
24686.30.160.0/1986.30.160.1 to 86.30.191.25486.30.191.2558,190
24786.30.192.0/1986.30.192.1 to 86.30.223.25486.30.223.2558,190
24886.30.224.0/1986.30.224.1 to 86.30.255.25486.30.255.2558,190
24986.31.0.0/1986.31.0.1 to 86.31.31.25486.31.31.2558,190
25086.31.32.0/1986.31.32.1 to 86.31.63.25486.31.63.2558,190
25186.31.64.0/1986.31.64.1 to 86.31.95.25486.31.95.2558,190
25286.31.96.0/1986.31.96.1 to 86.31.127.25486.31.127.2558,190
25386.31.128.0/1986.31.128.1 to 86.31.159.25486.31.159.2558,190
25486.31.160.0/1986.31.160.1 to 86.31.191.25486.31.191.2558,190
25586.31.192.0/1986.31.192.1 to 86.31.223.25486.31.223.2558,190
25686.31.224.0/1986.31.224.1 to 86.31.255.25486.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses